%define anolis_release 1

Summary: A GObject library for interacting with oVirt REST API
Name: libgovirt
Version: 0.3.9
Release: %{anolis_release}%{?dist}
License: LGPLv2+
Source0: http://download.gnome.org/sources/libgovirt/0.3/%{name}-%{version}.tar.xz
URL: https://gitlab.gnome.org/GNOME/libgovirt

Patch1: 0001-Fix-i18n-generation.patch

BuildRequires: meson >= 0.49.0
BuildRequires: pkgconfig(gio-2.0) >= 2.66
BuildRequires: pkgconfig(gobject-2.0) >= 2.66
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(gthread-2.0) >= 2.66
BuildRequires: pkgconfig(rest-1.0) >= 0.9
#needed for make check
BuildRequires: glib-networking
BuildRequires: dconf
BuildRequires: gettext

%description
libgovirt is a library that allows applications to use oVirt REST API
to list VMs managed by an oVirt instance, and to get the connection
parameters needed to make a SPICE/VNC connection to them.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Libraries, includes, etc. to compile with the libgovirt library
Requires: %{name} = %{version}-%{release}

%description devel
libgovirt is a library that allows applications to use oVirt REST API
to list VMs managed by an oVirt instance, and to get the connection
parameters needed to make a SPICE/VNC connection to them.

Libraries, includes, etc. to compile with the libgovirt library

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name} --with-gnome

%generate_compatibility_deps

%check
%meson_test

%files -f %{name}.lang
%license COPYING
%dir %{abidir}
%{_libdir}/%{name}.so.2*
%{abidir}/%{name}.dump
%{_libdir}/girepository-1.0/GoVirt-1.0.typelib

%files doc
%doc AUTHORS MAINTAINERS README

%files devel
%{_libdir}/%{name}.so
%{_includedir}/govirt-1.0
%{_libdir}/pkgconfig/govirt-1.0.pc
%{_datadir}/gir-1.0/GoVirt-1.0.gir

%changelog
* Fri Mar 31 2023 Funda Wang <fundawang@yeah.net> - 0.3.9-1
- Import package for anolis 23
